Results 1 to 4 of 4

Thread: Why no update to Gimp 2.8?

  1. #1
    Join Date
    Aug 2009
    Location
    Montreal, Quebec, CANADA
    Beans
    266
    Distro
    Lubuntu 12.04 Precise Pangolin

    Question Why no update to Gimp 2.8?

    I have just installed Ubuntu 12.04.1 LTS to my netbook, and I am pleasantly surprised that the iPhone support and recognition has greatly improved (perhaps I can dare to dump OS/X?). It now recognises and mounts my Canon Power Shot G9 as well.

    Yet it one wonders why it is taking so long to update Gimp to 2.8?
    I keep checking the updates, and nothing. The version with 12.04.1 LTS, is Gimp 2.6.

    I'm sure I'm not the only one wanting this to be in the update stream.

    Please, and thank you, Ubuntu
    "You only live once: let's make life better for each other."
    Asus EEE 1000 Dual-Atom 1.6 GHz.Ubuntu 12.10
    Registered Linux User #193975

  2. #2
    Join Date
    Oct 2004
    Location
    Denmark - Scandinavia
    Beans
    17,619
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: Why no update to Gimp 2.8?

    Usually it's only bug fixing and security updates you'll recieve. Ubuntu is 6 months cycle release (If you not following LTS which is 2 years cycle).

    If you want Gimp 2.8 try this PPA: http://www.webupd8.org/2012/05/gimp-...lable-for.html
    elementary OS Luna
    My Screenshot

  3. #3
    Join Date
    Nov 2008
    Beans
    Hidden!

    Re: Why no update to Gimp 2.8?

    You don't need to wait, theres a PPA for just about everything

    http://www.ubuntugeek.com/how-to-ins...using-ppa.html

    Don't know if it is mention in that link, but suggest that 2.6 be removed completely before installing 2.8

  4. #4
    Join Date
    Aug 2009
    Location
    Montreal, Quebec, CANADA
    Beans
    266
    Distro
    Lubuntu 12.04 Precise Pangolin

    Re: Why no update to Gimp 2.8?

    Quote Originally Posted by jerrrys View Post
    You don't need to wait, theres a PPA for just about everything

    http://www.ubuntugeek.com/how-to-ins...using-ppa.html

    Don't know if it is mention in that link, but suggest that 2.6 be removed completely before installing 2.8
    Thank you. Yes, the link you provided does advise to remove Gimp first. I was beginning to suspect that was why it refused to install the newer version.
    "You only live once: let's make life better for each other."
    Asus EEE 1000 Dual-Atom 1.6 GHz.Ubuntu 12.10
    Registered Linux User #193975

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •